Package org.apache.ignite.internal.processors.cache.persistence.snapshot.dump

## Interface DumpConsumerKernalContextAware

All Superinterfaces:
  `DumpConsumer`

    public interface DumpConsumerKernalContextAware
    extends DumpConsumer

Dump consumer that needs to use `GridKernalContext` must implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `start​(GridKernalContext ctx)` Starts the consumer with the kernal context provided.

### Methods inherited from interface org.apache.ignite.dump.DumpConsumer

`onCacheConfigs, onMappings, onPartition, onTypes, start, stop`

### Method Detail

#### start

    void start​(GridKernalContext ctx)

Starts the consumer with the kernal context provided.

Parameters:
  `ctx` - Kernal context.